View Issue Details

IDProjectCategoryView StatusLast Update
0014122MediaMonkey 5Playlist / Searchpublic2019-06-20 10:18
Reporterrusty 
PriorityhighSeverityfeatureReproducibilityalways
Status feedbackResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0014122: View Filtering
DescriptionUser feedback indicated that the lack of a column browser in many MM5 views is problematic. Implementation of a column browser is currently being discussed, however, a simpler and possibly more flexible idea that came up is to implement filtering on all views in such a manner that filtering can be done quickly and be applied to pretty much any view. One possible template for this is the filtering functionality that is implemented in online stores (see attached), however, approaches that display all possible filters would only be suitable for filters that contain a limited number of attributes.

The quickest implementation might be to base this on how filtering works in Global Search. i.e. a Filter button at the top of views that allows the user to restrict which items from the view to display. The only difference being that some of the more advanced functionality in Global Search/Auto Playlists (e.g. nested filters, sorting, limits, saving) wouldn't be included.

Jiri also suggested that Most Recently Used filters can appear. e.g. If the user previously searched for Ratings > 3-stars, then show:
Ratings > ______________

So the user would just have to fill in the number of stars.
Additional Informationhttp://forum.mediamonkey.com/viewtopic.php?f=30&t=87045
TagsNo tags attached.
Fixed in build2067

Relationships

related to 0014086 resolvedmichal Add 'Column browser'/Filter to more views 

Activities

rusty

2017-03-21 21:53

administrator  

filter_proposal_2.jpg (52,340 bytes)
filter_proposal_2.jpg (52,340 bytes)

rusty

2017-03-21 21:53

administrator  

amazon_filter.jpg (87,287 bytes)
amazon_filter.jpg (87,287 bytes)

rusty

2017-03-21 21:54

administrator  

filter_geekbuying.jpg (130,886 bytes)
filter_geekbuying.jpg (130,886 bytes)

jiri

2017-03-24 11:05

administrator   ~0047614

Just a note re. persistence of Filters:

 - After user's selection of attributes/parameters, filter is added to the breadcrumbs navigation (navbar) and persists there until:
   - It's removed by clicking its Close button.
   - User navigates away from the sub-tree where the filter was activated. E.g. if Rating filter is actived in Music node and user switches to Video, the filter is discarded.

Ludek

2017-04-11 20:09

developer   ~0047772

Last edited: 2017-04-19 16:07

View 9 revisions

Implemented in 2065.


Jiri suggested to short text on the navbar (e.g. to 'Year:1980-89, 3stars+')

I guess that the text sould be shortened even in the field chooser (dropdown) and the advanced editor in general.

e.g.
Any text fields contains "..." is quite long.

a) Any idea how to short the "contains" operator name?

b) As for the field names, I guess that these conversions could work:

Any text fields -> Any text
Bitrate (kbps) -> Kbps
File Size (KB) -> Size
Track length (seconds) -> Seconds
Path / Filename -> Path
# Tracks in Album -> Album Tracks#
Track # -> Track#
Synchronization status -> Sync state
etc.

Assigned to Rusty for evaluation of the suggested string changes.

Ludek

2017-04-25 10:07

developer   ~0047844

Last edited: 2017-06-06 08:51

View 5 revisions

Further TODOs:
1) Make the filter per tab (currently not working)
2) Current filter isn't persistent after app restart or skin change

=> Fixed in 2067

Leaving assigned to Rusty for evaluation of the suggested string changes above.

rusty

2019-06-19 16:43

administrator   ~0053892

Re. shortened versions, it generally looks good:
Any text fields -> Any text
Bitrate (kbps) -> Kbps
File Size (KB) -> Size
Track length (seconds) -> Length (s)
Path / Filename -> Path
# Tracks in Album -> ""
Track # -> Track#
Synchronization status -> Sync state

Note, however, that I'm not sure if this is scalable across languages since other languages may have longer descriptions. We might alternatively:
a) Not display the filter icon when the filter is active (it just takes up space, and the user would click the filter anyhow)
b) When the filter exceeds available space, show '...' (and possibly allow the use of a tooltip to display the full filter).